grlim<-min(mmax,20)
plot(0:grlim,rep(1/(mmax+1),grlim+1),xlab = "Fatalities (m)",ylab = "P(Fatality = m)",ylim=c(0,3/mmax),type='n',axes=F)
bringToTop()
axis(2)
box()
if (mmax<=20){
  for (i in 0:grlim){
    points(i,1/(mmax+1),pch=1)
    lines(c(i,i), c(0,1/(mmax+1)),lwd=3)
  }
  axis(1)
}  else {
  for (i in 0:(grlim-8)){
    points(i,1/(mmax+1),pch=1)
    lines(c(i,i), c(0,1/(mmax+1)),lwd=3)
  }
  for (i in (grlim-7):(grlim-5)){
    points(i,.5/(mmax+1),pch=16,cex=.7)
  }
  for (i in 2:4){
    points(grlim-i,1/(mmax+1),pch=1)
    lines(rep(grlim-i,2),c(0,1/(mmax+1)),lwd=3)
  }  
  points((grlim-1):grlim,c(0,0),pch=1)
  axis(1,at=c(0:(grlim-8),(grlim-4):grlim),labels=c(0:(grlim-8),(mmax-2):(mmax+2)))
  axis(1,at=grlim-6,tck=0,labels=". . .",cex=3)
}
title("Uniform Prior Distribution for Fatality")

